import { FoundationElement } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-icon-tooltip
 */
export declare class IconTooltip extends FoundationElement {
    id: string;
    tooltipText: string;
    isError: boolean;
}
export declare const foundationIconTooltipShadowOptions: ShadowRootInit;
/**
 * The Foundation Icon Tooltip
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-icon-tooltip\>
 */
export declare const foundationIconTooltip: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<IconTooltip, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<IconTooltip, any>;
    shadowOptions: ShadowRootInit;
}, typeof IconTooltip>;
//# sourceMappingURL=icon-tooltip.d.ts.map