import { html } from '@microsoft/fast-element';
import { classNames } from '@microsoft/fast-web-utilities';
import { getPrefix } from '../utils';
export const getPrefixedIconTooltip = (prefix) => html `
  <${prefix}-icon
    id="${(x) => x.id}"
    class="icon ${(x) => classNames(['error', x.isError])}"
    name="question-circle"
    size="md"
    variant="regular"
  ></${prefix}-icon>
  <${prefix}-tooltip part="tooltip" class="tooltip-element" show anchor="${(x) => x.id}">
    ${(x) => html `
      ${x.tooltipText}
    `}
  </${prefix}-tooltip>
`;
export const foundationIconTooltipTemplate = html `
  ${(x) => getPrefixedIconTooltip(getPrefix(x))}
`;
